import { jsx } from "react/jsx-runtime";
import { TokenSSX as TokenSSX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSSX = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "SSX", "data-name": "TokenSSX", ...props, children: /* @__PURE__ */ jsx(TokenSSX$1, { variant }) });
  }
);
TokenSSX.displayName = "TokenSSX";
Object.assign(TokenSSX, { isGdsIcon: true });
export {
  TokenSSX
};
